[omd-commits] OMD Git: omd: apache: added post reload hook

git version control git at mathias-kettner.de
Fri Jun 29 14:56:53 CEST 2012


Module:   omd
Branch:   master
Commit:   f8244b654e5d8e65264ebf8f0d4f72adfeaee3d9
URL:      http://omdistro.org/projects/omd/repository/revisions/f8244b654e5d8e65264ebf8f0d4f72adfeaee3d9

Author:   Sven Nierlein <sven at consol.de>
Date:     Fri Jun 29 14:56:15 2012 +0200
Commiter: Sven Nierlein <sven at consol.de>
Date:     Fri Jun 29 14:56:41 2012 +0200

apache: added post reload hook

---

 packages/apache-omd/skel/etc/init.d/apache |    3 ++-
 packages/omd/skel/etc/init-hooks.d/README  |    1 +
 2 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/packages/apache-omd/skel/etc/init.d/apache b/packages/apache-omd/skel/etc/init.d/apache
index e98d6f7..ccd3430 100644
--- a/packages/apache-omd/skel/etc/init.d/apache
+++ b/packages/apache-omd/skel/etc/init.d/apache
@@ -115,7 +115,7 @@ kill_stale_php_cgis()
 }
 
 __init_hook $0 $1 pre
-case $1 in 
+case $1 in
   start)
     echo -n "Starting dedicated Apache for site ###SITE###..."
     if apache_wait_start; then
@@ -147,6 +147,7 @@ case $1 in
   reload)
     echo "Reloading dedicated Apache for site ###SITE###"
     $APACHE_BIN -f "$CONFIG_FILE" -k graceful
+    __init_hook $0 $1 post $?
   ;;
   status)
     PID=$(pidof_apache) || true
diff --git a/packages/omd/skel/etc/init-hooks.d/README b/packages/omd/skel/etc/init-hooks.d/README
index 37acae6..57bfdbf 100644
--- a/packages/omd/skel/etc/init-hooks.d/README
+++ b/packages/omd/skel/etc/init-hooks.d/README
@@ -28,3 +28,4 @@ icinga-*-pre
 apache-*-pre
 apache-start-post
 apache-stop-post
+apache-reload-post



More information about the omd-commits mailing list